
class Module

  private

  # Alias for undef_method.
  alias_method :nodef, :undef_method

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCModule < Test::Unit::TestCase

    def the_undefined_method ; 'not here' ; end

    nodef :the_undefined_method

    def test_nodef
      assert( ! respond_to?( :the_undefined_method ) )
    end

  end

=end
